Bug 815308 - package filter: search for package starting "^" - traceback
package filter: search for package starting "^" - traceback
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Tomas Strachota
Garik Khachikyan
: Triaged, ZStream
Depends On:
Blocks: 827555
  Show dependency treegraph
 
Reported: 2012-04-23 06:39 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
After synchronizing a repository and creating a filter, errors result when trying to search for packages starting with carets ("^"). This fix escapes the caret, which is can now be used for elastic searches.
Story Points: ---
Clone Of:
: 827555 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:44:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error screen (188.64 KB, image/png)
2012-04-23 06:39 EDT, Garik Khachikyan
no flags Details
debug logs (223.45 KB, application/x-gzip)
2012-04-23 06:42 EDT, Garik Khachikyan
no flags Details

  None (edit)
Description Garik Khachikyan 2012-04-23 06:39:28 EDT
Created attachment 579480 [details]
error screen

Description of problem:
Red traceback happens when one tries to search for a package by starting to type "^" (having synced a content - custom repo is enough for reproducer)

Version-Release number of selected component (if applicable):
katello-glue-candlepin-0.1.309-1.el6.noarch
pulp-1.0.4-1.el6.noarch
qpid-cpp-client-ssl-0.12-6.el6.x86_64
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-0.1.107-1.el6.noarch
katello-cli-0.1.107-1.el6.noarch
pulp-common-1.0.4-1.el6.noarch
katello-glue-foreman-0.1.309-1.el6.noarch
qpid-cpp-server-0.12-6.el6.x86_64
pulp-selinux-server-1.0.4-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-0.17-1.el6.noarch
katello-certs-tools-1.0.4-1.el6.noarch
katello-common-0.1.309-1.el6.noarch
candlepin-0.5.26-1.el6.noarch
qpid-cpp-client-0.12-6.el6.x86_64
katello-0.1.309-1.el6.noarch
katello-configure-0.1.107-1.el6.noarch
candlepin-tomcat6-0.5.26-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
katello-glue-pulp-0.1.309-1.el6.noarch
katello-selinux-0.1.10-1.el6.noarch
qpid-cpp-server-ssl-0.12-6.el6.x86_64
mod_wsgi-3.3-3.pulp.el6.x86_64
python-qpid-0.12-1.el6.noarch
python-isodate-0.4.4-4.pulp.el6.noarch

How reproducible:
always

Steps to Reproduce:
1.sync a repo (e.g. http://inecas.fedorapeople.org/fakerepos/zoo3/)
2.got to Filters page.
3.create a filter
4. type in "Add package" input: ^

  
Actual results:
traceback (see attached the screenshot)

Expected results:
no traceback(s)

Additional info:
Latest Katello as well has the same issue.
Attached is the screenshat
Comment 1 Garik Khachikyan 2012-04-23 06:42:12 EDT
Created attachment 579485 [details]
debug logs

debug logs attached.
Comment 3 Mike McCune 2012-05-31 11:11:40 EDT
iNecas merged commit 6c20fa1 into Katello:master
Comment 5 Tomas Strachota 2012-06-08 09:48:44 EDT
reopened, second fix f1b1033db6 merged into Katello:master
Comment 8 Garik Khachikyan 2012-10-04 06:04:20 EDT
# VERIFIED

seems fixed. typing ^ in the "Add package" makes no exception any more. thx.

checked on:
---
katello-1.1.12-12.el6cf.noarch
Comment 10 errata-xmlrpc 2012-12-04 14:44:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.